import { prop, getModelForClass, Ref } from "@typegoose/typegoose";
import Inquiry from "./Inquiry";

/**
 * HardInquiry is a class which extends Inquiry.
 * Structure is performed this way to have two separate collections for Hard and Soft inquiries.
 */
export default class HardInquiry extends Inquiry {
  @prop({ required: true })
  public reason: string | undefined;
}
